Stream run control events
curl --request GET \
--url https://api.devhelm.io/api/v1/runs/{id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devhelm.io/api/v1/runs/{id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devhelm.io/api/v1/runs/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 123,
"type": "phase",
"payload": {},
"createdAt": "2023-11-07T05:31:56Z",
"caseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stepId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Runs
Stream run control events
GET
/
api
/
v1
/
runs
/
{id}
/
events
Stream run control events
Authorizations
API key (dh_live_...) or Auth0 JWT token
Headers
Path Parameters
Query Parameters
Show child attributes
Show child attributes
Response
Server-sent persist control events
Run control event
Event identifier
Organization this event belongs to
Run this event belongs to
Supervisor-monotonic sequence, starts at 1
Control event type
Available options:
phase, headline, case_started, case_finished, step_started, step_finished, artifact_ready, artifact_lifecycle, finished, stream_gap Small typed payload for this event
Show child attributes
Show child attributes
When the event was persisted
Case this event refers to
Step this event refers to
Artifact this event refers to